Bug 1502914 - Deploymentconfig page failed to add, update, delete and move order for environment variables
Summary: Deploymentconfig page failed to add, update, delete and move order for enviro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-17 03:39 UTC by XiaochuanWang
Modified: 2017-11-28 08:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 12:56:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description XiaochuanWang 2017-10-17 03:39:17 UTC
Description of problem:
From deploymentconfig page, try to add environment variables and it pop up error. After added environment variables by cli, try to update and delete it, it also pop up error.

Version-Release number of selected component (if applicable):
Openshift v3.7.0-0.155.0

How reproducible:
Always

Steps to Reproduce:
1. # oc run mydc --image=aosqe/hello-openshift
2. Go to dc env page "/console/project/myproject/browse/dc/mydc?tab=environment", then add a pair of env variable and click "Save"
3. Added env variable by cli "oc set env dc/mydc -e DCone=dcvalue1 DCtwo=dcvalue2" then refresh browser
4. Try to update, delete, move order for environment variables

Actual results:
2. Error message shows as below """
An error occurred updating environment variables for deployment config mydc.
Reason: DeploymentConfig "mydc" is invalid: spec.template.spec.containers[0].envFrom: Invalid value: "": must specify one of: `configMapRef` or `secretRef`
"""

4. Error message shows in any updating operation as below """
An error occurred updating environment variables for deployment config mydc.
Reason: DeploymentConfig "mydc" is invalid: spec.template.spec.containers[0].envFrom: Invalid value: "": must specify one of: `configMapRef` or `secretRef`
"""

Expected results:
Web console should add/update/delete/move order for env variables successfully.

Additional info:

Comment 2 openshift-github-bot 2017-10-17 15:18:22 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/80b9671b14ebf50a23bd2bb3e4ea7e813a4f072d
Bug 1502914 - Compact empty envFrom entries

Don't include empty `envFrom` entries when updating environment
variables. This causes a validation failure.

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1502914

https://github.com/openshift/origin-web-console/commit/de72b67bedeaa3ac67dfd51d818bbc49c4c939af
Merge pull request #2275 from spadgett/fix-edit-env

Automatic merge from submit-queue.

Bug 1502914 - Compact empty envFrom entries

Don't include empty `envFrom` entries when updating environment variables. This causes a validation failure.

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1502914

@jwforres PTAL

Comment 4 XiaochuanWang 2017-10-31 05:54:20 UTC
This is verified on Openshift  v3.7.0-0.184.0
Environment variables could be updated successfully.


Note You need to log in before you can comment on or make changes to this bug.